%define		pkgname inventory-system
Name:		inventory-system
Release:	9.1
Version:	0.0.9864
Url:		http://www.linux-administrator.com/
License:	GPLv2
Group:		System
Summary:	System inventory client
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	%{name}.conf
Source2:	addon-functions.sh
Source3:	mainboard-functions.sh
Source4:	vm-functions.sh
Source100:	cron.daily
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%if 0%{?suse_version}
%define wwwdir /srv/www/inventory-system
%else
%define wwwdir /var/www/inventory-system
%endif
Requires:	virt-what-inventory >= 1.12
Requires:	lshw
%if 0%{?suse_version}
%if 0%{?suse_version} >= 1120
Requires:	dmidecode
%else
Requires:	pmtools
%endif
%if 0%{?suse_version} >= 1310
Requires:	which
%endif
%if 0%{?sles_version} == 10
Requires:	lsb
%else
Requires:	lsb-release
%endif
Requires:	awk
%else
Requires:	dmidecode
Requires:	lsb
Requires:	gawk
%endif
Requires:	coreutils
Requires:	curl
Requires:	ethtool
Requires:	grep
Requires:	sed
Requires:	util-linux
Requires:	net-tools
Requires:	iproute
Requires:	ipmitool
Requires:	device-mapper
Requires:	findutils
%if 0%{?suse_version}
Requires:	cron
%else
Requires:	vixie-cron
%endif

%description
System inventory reporting tool. It uses various tools
to detect system information and hardware, virtualization type,
serial and so on.

%package server
Group:		System
Summary:	Server part of inventory-system
Requires:	php5-mysql

%description server
System inventory server includes php scripts for collecting
submitted data by inventory-reporting tool. Collected data
is save to mysql database.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__install -D -m755 client/%{name}.sh %{buildroot}%{_sbindir}/%{name}
%__install -D -m755 %{S:100} %{buildroot}%{_sysconfdir}/cron.daily/inventorysystem
%__install -D -m644 client/cron.reboot %{buildroot}%{_sysconfdir}/cron.d/inventory-system
%__install -D -m644 %{S:1} %{buildroot}%{_sysconfdir}/%{name}.conf
%__install -d %{buildroot}/%{wwwdir}
%__install -m644 server/*.php %{buildroot}/%{wwwdir}/
%__install -D -m755 %{S:2} %{buildroot}%{_sysconfdir}/inventory-system.d/addon-functions.sh
%__install -D -m755 %{S:3} %{buildroot}%{_sysconfdir}/inventory-system.d/mainboard-functions.sh
%__install -D -m755 %{S:4} %{buildroot}%{_sysconfdir}/inventory-system.d/vm-functions.sh

%clean
rm -rf %{buildroot}

%post
if [ -f /etc/init.d/cups ] ; then
	/sbin/chkconfig cups off || :
fi
if [ -f /etc/init.d/portreserve ] ; then
	/sbin/chkconfig portreserve off || :
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/inventorysystem
%{_sysconfdir}/cron.d/inventory-system
%dir %{_sysconfdir}/inventory-system.d
%{_sysconfdir}/inventory-system.d/addon-functions.sh
%{_sysconfdir}/inventory-system.d/mainboard-functions.sh
%{_sysconfdir}/inventory-system.d/vm-functions.sh
%{_sbindir}/%{name}

%files server
%defattr(-,root,root)
%dir %{wwwdir}
%config %{wwwdir}/config.inc.php
%config(noreplace) %{wwwdir}/config-custom.inc.php
%config(noreplace) %{wwwdir}/db.inc.php
%{wwwdir}/isdf.php
%{wwwdir}/search.php
%{wwwdir}/status.php
%{wwwdir}/dhcpconf.class.php
%{wwwdir}/inet4.class.php
%{wwwdir}/inv-dhcp4.class.php
%{wwwdir}/create_dhcp_configs.php
%{wwwdir}/client-status.php
%doc server/*.sql
%doc contrib

%changelog
* Fri Jul 11 2014 cs@linux-administrator.com
- RHEL7 & CentOS 7 support
* Tue Mar  4 2014 cs@linux-administrator.com
- add new function
  * get_system_virtual_guests
* Tue Mar  4 2014 cs@linux-administrator.com
- add new functions
  * get_baseboard_manufacturer
  * get_baseboard_productname
* Thu Nov 15 2012 cs@linux-administrator.com
- disable cups
* Thu Jun 28 2012 cs@linux-administrator.com
- initial package
